### Home Classes Methods

### In Files

- lib/rye.rb

### Methods

- ::inspect
- ::prerelease?
- ::read_version
- ::to_a
- ::to_s

### Files

- LICENSE.txt
- README.rdoc

### Class/Module Index

Quicksearch

- Rye
- Rye::Box
- Rye::Box::InstanceExecHelper
- Rye::Cmd
- Rye::CommandNotFound
- Rye::Err
- Rye::Hop
- Rye::Key
- Rye::Key::BadFile
- Rye::Key::BadPerm
- Rye::NoBoxes
- Rye::NoHost
- Rye::NoPassword
- Rye::NoPty
- Rye::NotConnected
- Rye::Rap
- Rye::RyeError
- Rye::Set
- Rye::Tpl
- Rye::VERSION
- Object

No matching classes.

# Rye::VERSION

### Attributes

path[R]
version[R]

### Public Class Methods

inspect() click to toggle source

    # File lib/rye.rb, line 66
    def inspect()  version              end

prerelease?() click to toggle source

    # File lib/rye.rb, line 63
    def prerelease?() false end

read_version() click to toggle source

    # File lib/rye.rb, line 59
    def read_version
      return if @version
      @version = File.read(path).strip!
    end

to_a() click to toggle source

    # File lib/rye.rb, line 64
    def to_a()     version.split('.')   end

to_s() click to toggle source

    # File lib/rye.rb, line 65
    def to_s()     version              end

[Validate]

Generated with the Darkfish Rdoc Generator 2.